/*form-field.css*/
/* Reset padding de input[type="date"] */
input::-webkit-datetime-edit-fields-wrapper {
	padding: 0;
}


/*styles_front.css*/
/**** WIDGETS: CALENDRIER ***/
.widget_container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.calendrier {
	transform: translate(0%, 0);
	z-index: 3;
	font-family: "Inter , sans-serif";
	font-weight: 400;
	border: 1px solid var(--blue-gray-300);
	border-radius: 12px;
	padding: 15px 20px;
	text-align: center;
	display: none;
	visibility: hidden;
	justify-content: center;
	align-content: center;
	max-width: 387px;
	max-height: 393px;
	box-shadow: 0px 8px 16px 5px rgba(0, 0, 0, 0.15);
	background-color: rgba(255, 255, 255, 0.9);
	/*
      box-shadow: 0px 8px 16px 5px rgba(0, 0, 0, 0.15);
  */
}

.calendrier>div>div:first-child {
	padding-top: 5px;
	color: var(--primary-700, #2176FF);
	text-align: center;
	/* H6 */
	font-size: 18px;
	font-family: Inter;
	font-style: normal;
	font-weight: 650;
	line-height: 24px;
	letter-spacing: 0.15px;
	display: flex;
	justify-content: space-between;

}

.calendrier>div>div:first-child img {
	cursor: pointer;

}

.calendrier>div>div:nth-child(2) {
	display: inline-flex;
	color: var(--blue-gray-300, #90A4AE);
	text-align: center;
	/* Overline */
	font-size: 10px;
	font-family: Inter;
	font-style: normal;
	font-weight: 500;
	line-height: 14px;
	letter-spacing: 1.5px;
	text-transform: uppercase;
}

.calendrier>div>div:nth-child(2) p {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 32px;
	height: 32px;
	margin: 10px 10px;
}

.calendrier>div>div:nth-child(3) {
	display: grid;
	justify-content: center;
	align-content: center;
	grid-template-columns: repeat(7, 32px);
	grid-template-rows: repeat(4, 32px);
	column-gap: 20px;
	row-gap: 20px;
	/* Body secondary */
	font-size: 14px;
	font-family: Inter;
	font-style: normal;
	font-weight: 400;
	line-height: 22px;
	letter-spacing: 0.25px;
	color: var(--blue-gray-900, #263238);
}


.calendrier>div>div:nth-child(3) p {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 32px;
	height: 32px;
	cursor: pointer;

}

.notActuMonthDay {
	color: #90a4ae
}

.selectedDay {
	background-color: var(--primary-700);
	color: white;
	border-radius: 25px;
	width: auto;
}

@media only screen and (max-width: 280px) {
	.calendrier {
		padding: 7px 10px;
	}

	.calendrier>div>div:nth-child(2) p {
		width: 22.4px;
		height: 22.4px;
		margin: 10px 8px;
	}

	.calendrier>div>div:nth-child(3) {
		grid-template-columns: repeat(7, 22.4px);
		grid-template-rows: repeat(4, 22.4px);
		column-gap: 16px;
		row-gap: 16px;
	}

	.calendrier>div>div:nth-child(3) p {
		width: 22.4px;
		height: 22.4px;
	}

	#cal_delai {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%);
	}

	#cal_dispo {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%)
	}
}

@media only screen and (min-width: 281px) and (max-width: 380px) {
	.calendrier {
		padding: 7px 10px;
	}

	.calendrier>div>div:nth-child(2) p {
		width: 22.4px;
		height: 22.4px;
		margin: 10px 8px;
	}

	.calendrier>div>div:nth-child(3) {
		grid-template-columns: repeat(7, 22.4px);
		grid-template-rows: repeat(4, 22.4px);
		column-gap: 16px;
		row-gap: 16px;
	}

	.calendrier>div>div:nth-child(3) p {
		width: 22.4px;
		height: 22.4px;
	}

	#cal_delai {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%)
	}

	#cal_dispo {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%)
	}
}


@media only screen and ((min-width: 381px)) and (max-width: 470px) {
	.calendrier>div>div:nth-child(2) p {
		width: 25.6px;
		height: 25.6px;
		margin: 10px 8px;
	}

	.calendrier>div>div:nth-child(3) {
		grid-template-columns: repeat(7, 25.6px);
		grid-template-rows: repeat(4, 25.6px);
		column-gap: 16px;
		row-gap: 16px;
	}

	.calendrier>div>div:nth-child(3) p {
		width: 25.6px;
		height: 25.6px;
	}


	#cal_delai {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%)
	}

	#cal_dispo {
		position: absolute;
		top: 285px;
		left: 50%;
		transform: translateX(-50%)
	}

	.calendrier {
		max-width: 389.6px;
		max-height: 415.4px;
	}


}


@media only screen and (min-width: 471px) and (max-width: 1024px) {
	#cal_delai {
		position: absolute;
		top: 312px;
		left: 50%;
		transform: translateX(-50%)
	}

	#cal_dispo {
		position: absolute;
		top: 312px;
		left: 50%;
		transform: translateX(-50%)
	}
}

@media only screen and (min-width: 1024px) {
	#cal_delai {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%)
	}

	#cal_dispo {
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%)
	}
}